> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enfuce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a link to customer

> This operation will create a link to customer.



## OpenAPI

````yaml customer post /v3/{id}/link
openapi: 3.0.3
info:
  description: |
    Endpoint for doing various actions connected to the customer domain
    # Introduction
    Enfuce API offers ways to operation on account, card and customer level.
  version: '1'
  title: Customer details API
  contact:
    name: Enfuce Financial Services
    url: https://enfuce.com
    email: info@enfuce.com
  x-logo:
    url: https://developer.enfuce.com/images/enfuce.svg
    altText: Enfuce logo
servers:
  - url: >-
      https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/customer
  - url: https://integration-api-cat2.live.ext.prod.cia.enfuce.com/customer
    description: Live environment
security: []
tags:
  - name: Create a customer
    description: <p>Endpoints for creating a customer</p>
  - name: Update a customer
    description: <p>Endpoints for updating a customer</p>
  - name: Get customer information
    description: Endpoints for fetching a customer
paths:
  /v3/{id}/link:
    post:
      tags:
        - Customer hierarchy
      summary: Create a link to customer
      description: This operation will create a link to customer.
      operationId: createLinkedCustomerUsingPOST
      parameters:
        - name: auditUser
          in: query
          description: The audit user to log the request
          required: true
          schema:
            type: string
        - name: id
          in: path
          description: The customer id of the customer you want to create the link from.
          required: true
          schema:
            type: string
      requestBody:
        $ref: '#/components/requestBodies/createLinkedCustomerResourceBody'
      responses:
        '201':
          description: Successful creation of linked customer
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/resourceResponse'
        '400':
          $ref: '#/components/responses/error400'
        '401':
          $ref: '#/components/responses/error401'
        '403':
          $ref: '#/components/responses/error403'
        '404':
          $ref: '#/components/responses/error404'
        '500':
          $ref: '#/components/responses/error500'
      deprecated: false
components:
  requestBodies:
    createLinkedCustomerResourceBody:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/CreateLinkedCustomerResourceBody'
      description: The related linked customer data
      required: true
  schemas:
    resourceResponse:
      type: object
      properties:
        description:
          type: string
          description: Short description of the result of the action
        id:
          type: string
          description: Will contain the ID of the resource that has been created or updated
      title: resourceResponse
    CreateLinkedCustomerResourceBody:
      type: object
      allOf:
        - properties:
            type:
              type: string
              description: Link type
              enum:
                - CUSTOMER_LINK
            customerId:
              type: string
              description: The customer id of the customer you want to create the link to.
              example: 5123465
          required:
            - type
            - customerId
      title: createLinkedCustomerResourceBody
    errorResponse:
      type: object
      properties:
        code:
          type: string
          description: An error code indicating what kind of error. I.e. HTTP error code
        message:
          type: string
          description: Error message in human-readable format
        id:
          type: string
          format: uuid
          description: Unique error identifier
        errorCode:
          type: string
          description: Enfuce code for a specific error type
        errorType:
          type: string
          description: Error type
          enum:
            - STATIC_VALIDATION_ERROR
            - DYNAMIC_VALIDATION_ERROR
            - INTEGRATION_ERROR
            - SECURITY_ERROR
            - UNEXPECTED_ERROR
        errorReason:
          type: string
          description: Free-form text explaining the error reason
        timestamp:
          type: string
          format: date-time
          description: Datetime when error occurred
  responses:
    error400:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'
    error401:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'
    error403:
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'
    error404:
      description: Not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'
    error500:
      description: Internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'

````